Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage.grid
Interface GridRange

    @UML(identifier="CV_GridRange",
         specification=OGC_01004)
    public interface GridRange

Specifies the range of valid coordinates for each dimension of the coverage. For example this data type is used to access a block of grid coverage data values.

WARNING: THIS CLASS WILL CHANGE. Current API is derived from OGC Grid Coverages Implementation specification 1.0. We plan to replace it by new interfaces derived from ISO 19123 (Schema for coverage geometry and functions). Current interfaces should be considered as legacy and are included in this distribution only because they were part of GeoAPI 1.0 release. We will try to preserve as much compatibility as possible, but no migration plan has been determined yet.

Since:
  GeoAPI 1.0
Version:
  Grid Coverage specification 1.0

Method Summary
`int` | `getDimension()` Returns the number of dimensions.
`int` | `getLength(int dimension)` Returns the number of integer grid coordinates along the specified dimension.
`GridCoordinates` | `getLower()` Returns the valid minimum inclusive grid coordinate.
`int` | `getLower(int dimension)` Returns the valid minimum inclusive grid coordinate along the specified dimension.
`int[]` | `getLowers()` Deprecated. Replaced by `getLower()`.
`GridCoordinates` | `getUpper()` Returns the valid maximum exclusive grid coordinate.
`int` | `getUpper(int dimension)` Returns the valid maximum exclusive grid coordinate along the specified dimension.
`int[]` | `getUppers()` Deprecated. Replaced by `getUpper()`.

Method Detail

### getDimension

    int getDimension()

  Returns the number of dimensions.

### getLower

    @UML(identifier="lo",
         obligation=MANDATORY,
         specification=OGC_01004)
    GridCoordinates getLower()

  Returns the valid minimum inclusive grid coordinate. The sequence contains a minimum value for each dimension of the grid coverage.

  Since:
    GeoAPI 2.1

### getUpper

    @UML(identifier="hi",
         obligation=MANDATORY,
         specification=OGC_01004)
    GridCoordinates getUpper()

  Returns the valid maximum exclusive grid coordinate. The sequence contains a maximum value for each dimension of the grid coverage.

  Since:
    GeoAPI 2.1

### getLowers

    int[] getLowers()

  Deprecated. Replaced by `getLower()`.

  The valid minimum inclusive grid coordinate. The sequence contains a minimum value for each dimension of the grid coverage. The lowest valid grid coordinate is zero.

  Returns:
    The valid minimum inclusive grid coordinate.

### getUppers

    int[] getUppers()

  Deprecated. Replaced by `getUpper()`.

  The valid maximum exclusive grid coordinate. The sequence contains a maximum value for each dimension of the grid coverage.

  Returns:
    The valid maximum exclusive grid coordinate.

### getLower

    @Extension
    int getLower(int dimension)

  Returns the valid minimum inclusive grid coordinate along the specified dimension.

### getUpper

    @Extension
    int getUpper(int dimension)

  Returns the valid maximum exclusive grid coordinate along the specified dimension.

### getLength

    @Extension
    int getLength(int dimension)

  Returns the number of integer grid coordinates along the specified dimension. This is equals to `getUpper(dimension)-getLower(dimension)`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.